API de tarjeta
This request is used by D1 to notify the system of the bank about one or several authorisation processed by D1. The number max of authorisation in the notification is defined at onboarding time with issuer. Each auhtorisation is linked to a given card id, and can contain a message dedicated for the final end-user.
A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.
The id of the issuer
Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.
There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for other purpose than logging and troubleshooting.
Successful
Sin contenido
Bad Request, Invalid request URI, header, paramters.
D1 will not retry the request until the issue is considered as resolved.
Unauthorized request.
D1 will not retry the request until the issue is considered as resolved.
Forbidden action
D1 will not retry the request until the issue is considered as resolved.
Ressource not found, Unknown issuerId
D1 will not retry the request until the issue is considered as resolved.
Internal Server Error. D1 will retry the request later.
The service is temporarily unavailable. D1 will retry the request later.
POST /notifications/d1/v2/issuers/{issuerId}/authorisations HTTP/1.1
Host: YOUR_DOMAIN_NAME
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 1177
{
"operations": [
{
"operationId": "text",
"operation": "PURCHASE",
"status": "APPROVED",
"startTime": "2022-06-16T06:28:02.492Z",
"errorCode": "INVALID_CARD_STATE",
"cardId": "text",
"details": {
"isoMessageType": "1100",
"transactionDate": "2022-06-16T06:28:02.492Z",
"transmissionDate": "2022-06-16T06:28:02.492Z",
"retrievalReferenceNumber": "230710891451",
"stan": "891451",
"internalStan": "980588",
"actionCode": "000",
"declinedReason": "INVALID_CARD_STATE",
"declinedDetails": "INVALID_CVV2",
"amount": 2100,
"currencyCode": "EUR",
"billingAmount": 2100,
"billingCurrencyCode": "EUR",
"conversionRate": 1.092479,
"replacementAmount": 2100,
"replacementCurrencyCode": "EUR",
"accountNumber": "text",
"standInProcessing": false,
"functionCode": "100",
"messageReasonCode": "1002",
"cardPresent": false,
"cardDataInputMode": "1",
"initiatingParty": "CARDHOLDER",
"acquirerCountryCode": "FR",
"merchant": {
"merchantId": "text",
"merchantNameAddress": "text",
"merchantName": "text",
"city": "text",
"countryCode": "FR",
"merchantType": "5542"
},
"digitalCard": {
"digitalCardId": "text",
"digitalCardRequestorId": "text"
}
},
"message": {
"format": "TEXT",
"title": "Approved Authorisation",
"content": "Payment in AMAZONIA corp. of 100.00 EUR has been approved."
}
}
]
}Sin contenido
Última actualización
¿Te fue útil?